Skip to main content
GET
/
v1
/
discounts
/
{id}
Retrieve Discount
curl --request GET \
  --url https://{defaultHost}/v1/discounts/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/discounts/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/discounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "8c31152f-9105-438a-a963-443e6e2332ea",
  "object": "discount",
  "discount_amount": -500,
  "primary": true,
  "redeemable_status": "redeemable",
  "redeemed_at": 1782485763,
  "used_up": false,
  "checkout": "27b8f8f2-275e-4ba4-97f0-69e55b16e0c8",
  "coupon": "b71dfbcb-9bf3-4918-b4f1-e101f9250497",
  "customer": "771df58c-00a9-4fb7-948b-4b649daf1b87",
  "primary_discount": null,
  "promotion": null,
  "created_at": 1782485823,
  "updated_at": 1782485823
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

discount_amount
integer

The total discount amount applied to the associated checkout.

primary
boolean

Whether or not this discount is a primary or secondary discount. Primary discounts are the first discount in a series of discounts when the associated coupon can be used multiple times. Secondary discounts are the subsequent discounts in the series.

redeemable_status
string

The status indicating if this discount can be redeemed (finalized with) or not and why. Possible values are invalid, gone, expired, less_than_min_subtotal_amount, greater_than_max_subtotal_amount,not_applicable,not_applicable_to_customer, orredeemable`.

used_up
boolean

Whether or not this discount has been used up. If not used up, this discount will create secondary discounts on future checkouts.

checkout

Expandable – The associated checkout ID.

coupon

Expandable – The associated coupon ID.

customer

Expandable – The associated customer ID.

primary_discount

Expandable – The associated discount ID.

promotion

Expandable – The associated promotion ID.

secondary_discounts

Expandable – Property not returned unless expanded.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.